package com.weface.enums;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 新闻消息推送APP_KEY ENUMS
 *
 * @author mht
 * @date 2024/12/17
 */
public enum AppKeyEnum {
    //看看生活
    KKSH_ANDROID("kksh","3511c2579cad6", "f446a56b98aae09beb5721ebdbe0d2e8"),
    KKSH_IOS("kksh","38b797dbbf6ec", "05883c7b9185edb99a6ded653cfe3e39"),
    KKSH_HARMONY("kksh","3a69c3c5f3cc7", "78f9a9f474086eee124b2be762e356ca"),
    //看看社保
    KKSB_ANDROID("kksb","35e36a9bc94bd", "0a097f62ac25e0cb7a750ab293b583d1"),
    KKSB_HARMONY("kksb","3af9d85326f25", "a1af59109357431608c995d16f9af2d7"),
    //看看民政
    KKMZ_ANDROID("kkmz","35e377d8521b0", "a6350ece59dd756aaabf40f6d8c27a9c"),
    KKMZ_HARMONY("kkmz","3af9d11208742", "cdaee8d80a95b481408bda982af875f9"),
    //看看卫健
    KKWJ_ANDROID("kkwj","35e37131417e3", "27955f2bc52c8fc0d053375d422ced0e"),


    ;

    private String identifier;

    private String key;

    private String secret;

    AppKeyEnum(String  identifier,String key, String secret) {
        this.identifier = identifier;
        this.key = key;
        this.secret = secret;
    }

    public String getKey() {
        return key;
    }

    public String getIdentifier() {
        return identifier;
    }


    public String getSecret() {
        return secret;
    }

    /**
     * 根据freezeAmt获取medicareAmt
     *
     * @param key appKey
     * @return {@link String }
     */
    public static String getSecretByKey(String key) {
        AppKeyEnum[] enums = AppKeyEnum.values();
        for (int i = 0; i < enums.length; i++) {
            if (enums[i].getKey().equals(key)) {
                return enums[i].getSecret();
            }
        }
        return null;
    }

    public static List<AppKeyEnum> getAppKeyEnumByIdentifier(String identifier) {
        AppKeyEnum[] enums = AppKeyEnum.values();
        List<AppKeyEnum> appKeyEnums = new ArrayList<>();
        for (int i = 0; i < enums.length; i++) {
            if (enums[i].getIdentifier().equals(identifier)) {
                appKeyEnums.add(enums[i]);
            }
        }
        return appKeyEnums;
    }
}

